Summary:	Traces the route taken by packets over an IPv4/IPv6 network
Name:		traceroute
Version:	2.1.3
Release:	%mkrel 1
Group:		Monitoring
License:	GPLv2+
URL:		https://traceroute.sourceforge.net/
Source0:	https://downloads.sourceforge.net/traceroute/%{name}-%{version}.tar.gz
Patch0:		no-strip.diff

%description
New implementation of the traceroute utility for modern Linux systems.
Backward compatible with the traditional traceroute. Supports both IPv4
and IPv6, additional types of trace (including TCP), allows some traces
for unprivileged users.

The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host.Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.Traceroute is used as a network debugging
tool.If you're having network connectivity problems, traceroute will
show you where the trouble is coming from along the route.

Install traceroute if you need a tool for diagnosing network connectivity
problems.

%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%{optflags}"

%install
%make_install prefix=%{_prefix} bindir=%{_sbindir} mandir=%{_mandir}

%files
%doc README TODO CREDITS
%attr(4755,root,bin) %{_sbindir}/traceroute
%{_mandir}/man8/traceroute.8*


%changelog
* Thu May 02 2024 ns80 <ns80> 2.1.3-1.mga9
+ Revision: 2061866
- new version 2.1.3 for CVE-2023-46316 (mga#33170)

* Wed Feb 15 2023 luigiwalser <luigiwalser> 2.1.2-1.mga9
+ Revision: 1942596
- 2.1.2

* Tue Jan 03 2023 luigiwalser <luigiwalser> 2.1.1-1.mga9
+ Revision: 1929718
- 2.1.1

* Tue Mar 15 2022 umeabot <umeabot> 2.1.0-4.mga9
+ Revision: 1792381
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.1.0-3.mga8
+ Revision: 1517454
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1301447
- Mageia 7 Mass Rebuild

* Fri May 06 2016 luigiwalser <luigiwalser> 2.1.0-1.mga6
+ Revision: 1010033
- 2.1.0

* Tue Dec 22 2015 oden <oden> 2.0.21-3.mga6
+ Revision: 913364
- drop apparmor support as it's not in mageia, (profiles only in traceroute and iputils)

* Tue Oct 20 2015 tv <tv> 2.0.21-2.mga6
+ Revision: 893153
- disble striping thus fixing empty debuginfo
- disble striping thus fixing empty debuginfo

* Thu Nov 20 2014 luigiwalser <luigiwalser> 2.0.21-1.mga5
+ Revision: 798031
- 2.0.21

* Wed Oct 15 2014 umeabot <umeabot> 2.0.20-4.mga5
+ Revision: 738845
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.20-3.mga5
+ Revision: 730628
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.20-2.mga5
+ Revision: 689935
- Mageia 5 Mass Rebuild

* Mon Jun 16 2014 luigiwalser <luigiwalser> 2.0.20-1.mga5
+ Revision: 637570
- 2.0.20
- remove upstreamed format string patch

* Fri Oct 18 2013 umeabot <umeabot> 2.0.19-3.mga4
+ Revision: 519684
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.19-2.mga3
+ Revision: 384726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 luigiwalser <luigiwalser> 2.0.19-1.mga3
+ Revision: 334800
- 2.0.19
- use systemctl to reload apparmor

* Tue Sep 06 2011 tv <tv> 2.0.18-1.mga2
+ Revision: 139852
- new release

* Thu Mar 03 2011 ennael <ennael> 2.0.17-1.mga1
+ Revision: 63255
- imported package traceroute


* Wed Mar 02 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.17-1mdv2011.0
+ Revision: 641383
- update to new version 2.0.17

* Thu Sep 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.16-1mdv2011.0
+ Revision: 579051
- update to new version 2.0.16

* Wed Jul 21 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.15-1mdv2011.0
+ Revision: 556376
- update to new version 2.0.15

* Thu Jul 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.14-1mdv2011.0
+ Revision: 553713
- update to new version 2.0.14

* Fri Nov 06 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.13-1mdv2010.1
+ Revision: 462061
- update to new version 2.0.13

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.0.12-3mdv2010.0
+ Revision: 427430
- rebuild

* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.12-2mdv2009.1
+ Revision: 319098
- fix build with -Werror=format-security (P0)

* Sun Sep 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.12-1mdv2009.1
+ Revision: 289065
- update to new version 2.0.12

* Fri Jun 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.11-2mdv2009.0
+ Revision: 227621
- update URL (pointed out by Dmitry Butskoy)

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.11-1mdv2009.0
+ Revision: 209080
- fix instalation of man files
- time to merge branches traceroute with current
- drop all patches
- switch to maintained version of traceroute
- spec file clean

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4a12-9mdv2008.1
+ Revision: 179661
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.4a12-8mdv2008.1
+ Revision: 140921
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Wed Sep 19 2007 Andreas Hasenack <andreas@mandriva.com> 1.4a12-8mdv2008.0
+ Revision: 91192
- ship apparmor profile and use it if apparmor is in effect

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4a12-7mdv2008.0
+ Revision: 74147
- fix build


* Sun Jan 28 2007 Olivier Thauvin <nanardon@mandriva.org> 1.4a12-7mdv2007.0
+ Revision: 114746
- mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.4a12-6mdk
- Rebuild

* Sun Nov 14 2004 Stefan van der Eijk <stefan@mandrake.org> 1.4a12-5mdk
- sparc fix from Aurora linux

